CMSIS-DSP: arm_signal_converge_example_f32.c File Reference

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_signal_converge_example_f32.c File Reference

## Macros
#define | TEST_LENGTH_SAMPLES
#define | NUMTAPS
#define | BLOCKSIZE
#define | DELTA_ERROR
#define | DELTA_COEFF
#define | MU
#define | NUMFRAMES

## Functions
arm_status | test_signal_converge_example (void)
arm_status | test_signal_converge (float32_t *err_signal, uint32_t blockSize)
void | getinput (float32_t *input, uint32_t fr_cnt, uint32_t blockSize)
int32_t | main (void)

## Variables
float32_t | firStateF32 [NUMTAPS+BLOCKSIZE]
arm_fir_instance_f32 | LPF_instance
float32_t | lmsStateF32 [NUMTAPS+BLOCKSIZE]
float32_t | errOutput [TEST_LENGTH_SAMPLES]
arm_lms_norm_instance_f32 | lmsNorm_instance
float32_t | testInput_f32 [TEST_LENGTH_SAMPLES]
float32_t | lmsNormCoeff_f32 [32]
const float32_t | FIRCoeff_f32 [32]
float32_t | wire1 [BLOCKSIZE]
float32_t | wire2 [BLOCKSIZE]
float32_t | wire3 [BLOCKSIZE]
float32_t | err_signal [BLOCKSIZE]

## Macro Definition Documentation

#define BLOCKSIZE

Examples:
  arm_signal_converge_example_f32.c.

Referenced by main().

#define DELTA_COEFF

Examples:
  arm_signal_converge_example_f32.c.

Referenced by main().

#define DELTA_ERROR

Examples:
  arm_signal_converge_example_f32.c.

Referenced by main().

#define MU

Examples:
  arm_signal_converge_example_f32.c.

Referenced by main().

#define NUMFRAMES

Examples:
  arm_signal_converge_example_f32.c.

Referenced by main().

#define NUMTAPS

Examples:
  arm_signal_converge_example_f32.c.

Referenced by main().

#define TEST_LENGTH_SAMPLES

Examples:
  arm_signal_converge_example_f32.c.

## Function Documentation

void getinput | ( | float32_t * | input,
|  | uint32_t | fr_cnt,
|  | uint32_t | blockSize
| ) |  |

Examples:
  arm_signal_converge_example_f32.c.

int32_t main | ( | void |  | ) |

Examples:
  arm_signal_converge_example_f32.c.

References arm_abs_f32(), arm_copy_f32(), arm_fir_f32(), arm_fir_init_f32(), arm_lms_norm_f32(), arm_lms_norm_init_f32(), ARM_MATH_SUCCESS, ARM_MATH_TEST_FAILURE, arm_min_f32(), arm_scale_f32(), arm_sub_f32(), BLOCKSIZE, DELTA_COEFF, DELTA_ERROR, err_signal, FIRCoeff_f32, firStateF32, lmsNormCoeff_f32, lmsStateF32, MU, NUMFRAMES, NUMTAPS, status, testInput_f32, wire1, wire2, and wire3.

arm_status test_signal_converge | ( | float32_t * | err_signal,
|  | uint32_t | blockSize
| ) |  |

Examples:
  arm_signal_converge_example_f32.c.

arm_status test_signal_converge_example | ( | void |  | ) |

Examples:
  arm_signal_converge_example_f32.c.

## Variable Documentation

float32_t err_signal[BLOCKSIZE]

Examples:
  arm_signal_converge_example_f32.c.

Referenced by main().

float32_t errOutput[TEST_LENGTH_SAMPLES]

Examples:
  arm_signal_converge_example_f32.c.

const float32_t FIRCoeff_f32[32]

Examples:
  arm_signal_converge_example_f32.c.

Referenced by main().

float32_t firStateF32[NUMTAPS+BLOCKSIZE]

Examples:
  arm_fir_example_f32.c, and arm_signal_converge_example_f32.c.

Referenced by main().

arm_lms_norm_instance_f32 lmsNorm_instance

Examples:
  arm_signal_converge_example_f32.c.

float32_t lmsNormCoeff_f32[32]

Examples:
  arm_signal_converge_example_f32.c.

Referenced by main().

float32_t lmsStateF32[NUMTAPS+BLOCKSIZE]

Examples:
  arm_signal_converge_example_f32.c.

Referenced by main().

arm_fir_instance_f32 LPF_instance

Examples:
  arm_signal_converge_example_f32.c.

float32_t testInput_f32[TEST_LENGTH_SAMPLES]

Examples:
  arm_signal_converge_example_f32.c.

Referenced by main().

float32_t wire1[BLOCKSIZE]

Examples:
  arm_signal_converge_example_f32.c.

Referenced by main().

float32_t wire2[BLOCKSIZE]

Examples:
  arm_signal_converge_example_f32.c.

Referenced by main().

float32_t wire3[BLOCKSIZE]

Examples:
  arm_signal_converge_example_f32.c.

Referenced by main().